Subject: Re: Record-Route and Route header clarification

From: "Alex Doyle" <[email-masked]>
Date: Mon, 26 Apr 1999 18:50:39 -0400

Which INVITE is missing the SPS3?

A agree that the callee takes the Record-Route, adds the Contact header, and
then reverses the list....but I thought the callee pops the first item in
the Route header off the list before sending the INVITE (sec 6.33).

Can you clarify which msg is missing the SPS3?

thanks
Alex

-----Original Message-----
From: Jonathan Rosenberg <[email-masked]>
To: Donovan, Steven R. <[email-masked]>
Cc: [email-masked]' <[email-masked]>
Date: Monday, April 26, 1999 6:28 PM
Subject: Re: Record-Route and Route header clarification

>> Donovan, Steven R. wrote:
>>
>> The purpose of the Record-Route and Route headers is to ensure that
>> SIP requests for an established session and the ACK request resulting
>> from the INVITE, 200 OK message pair get routed through interested
>> proxy servers.  The correct routing needs to occur in both directions,
>> both when the request comes from the calling user agent and when it
>> comes from the called user agent.
>
>Yup. The operation is as you describe, except you have an SPS3 missing
>from the reverse INVITE's in one of the flows below. The callee takes
>the Record-Route header, adds the Contact from the request to the
>bottom, and uses it as the Route header in subsequent requests. This has
>been reported already. (Our UA does this already, in fact).
>
>>
>> These scenarios rely on a proposed enhancement to the SIP
>> specification that would require the called user agent to add a
>> contact header to the 200 OK response to an INVITE message if that
>> INVITE message contained a record-route header.  The need to add this
>> behavior to the called user agent was discussed during the SIP
>> Bake-off.
>
>Yes. I agree its a good idea, as did others at the bakeoff. In fact, its
>easiest to simplify this further and simply change Contact in the
>response from SHOULD to MUST (I think its SHOULD now).
>
>-Jonathan R.
>
>
>--
>Jonathan D. Rosenberg                       Lucent Technologies
>Member of Technical Staff                   101 Crawfords Corner Rd.
>High Speed Networks Research                Holmdel, NJ 07733
>FAX:   (732) 834-5379                       Rm. 4C-526
>EMAIL: [email-masked]
>URL: http://www.cs.columbia.edu/~jdrosen

---

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 26 Apr 1999 21:29:52 -0400

> Can you clarify which msg is missing the SPS3?

Oops, you're right... I always forget if its pop and send or send and
pop :)

-Jonathan R.